package com.parksong.controllers.app;

import com.parksong.basics.beans.ResultBean;
import com.parksong.basics.filter.ApiFilter;
import com.parksong.filter.app.AppFilter;
import com.parksong.services.app.AppService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LiuJS
 * @Time 2021/5/27 10:52
 * @Desc app版本
 * @Version 1.0
 */
@RestController
@RequestMapping("app")
public class AppController {

    @Autowired
    private AppService appService;

    @PostMapping("check")
    public ResultBean check(@RequestBody ApiFilter<AppFilter> apiFilter) {
        return new ResultBean(appService.checkVersion(apiFilter.getData()));
    }
}
